<div class="browse-map-preview browse-preview no-icons {{if @map.hasCover "with-picture"}} p-3" ...attributes {{on "click" this.handleClick}}>
  {{#if @map.hasCover}}
    <div class="map-picture picture float-end" style={{this.style}}></div>
  {{/if}}

  <div class="map-name name">
    <Article::Title @value={{@map.contentBlocks}} />
  </div>

  {{yield}}
</div>
